Your submission was sent successfully! Close

CVE-2009-4492

Published: 13 January 2010

WEBrick 1.3.1 in Ruby 1.8.6 through patchlevel 383, 1.8.7 through patchlevel 248, 1.8.8dev, 1.9.1 through patchlevel 376, and 1.9.2dev writes data to a log file without sanitizing non-printable characters, which might allow remote attackers to modify a window's title, or possibly execute arbitrary commands or overwrite files, via an HTTP request containing an escape sequence for a terminal emulator.

Notes

AuthorNote
jdstrand
if there is a problem, it is the terminal that has the issue
Priority

Negligible

Status

Package Release Status
ruby1.8
Launchpad, Ubuntu, Debian
dapper Ignored
(reached end-of-life)
hardy Ignored
(reached end-of-life)
intrepid Needed
(reached end-of-life)
jaunty Ignored
(reached end-of-life)
karmic Ignored
(reached end-of-life)
lucid Not vulnerable
(1.8.7.249-2)
maverick Not vulnerable

natty Not vulnerable

oneiric Not vulnerable

upstream
Released (1.8.7.249-1)
Patches:
upstream: http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=26267
upstream: http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=26281


ruby1.9
Launchpad, Ubuntu, Debian
dapper Ignored
(reached end-of-life)
hardy Ignored
(reached end-of-life)
intrepid
Released (1.9.0.2-7ubuntu1.3)
jaunty
Released (1.9.0.2-9ubuntu1.2)
karmic
Released (1.9.0.5-1ubuntu1.2)
lucid
Released (1.9.0.5-1ubuntu2)
maverick Does not exist
(pulled 2010-07-27)
natty Does not exist
(pulled 2010-07-27)
oneiric Does not exist
(pulled 2010-07-27)
upstream Needs triage

Patches:


upstream: http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=26267
upstream: http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=26281
ruby1.9.1
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Does not exist

intrepid Does not exist

jaunty Does not exist

karmic Ignored
(reached end-of-life)
lucid Not vulnerable
(1.9.1.378-1)
maverick Not vulnerable

natty Not vulnerable

oneiric Not vulnerable

upstream
Released (1.9.1.378-1)